Linux repositories inspector

gitlab-common - git powered software platform to collaborate on code (common)

gitlab provides web based interface to host source code and track issues. It allows anyone for fork a repository and send merge requests. Code review is possible using merge request workflow. Using groups and roles project access can be controlled.
This package includes configurations common to gitlab and gitaly.
11.4.9
Debian iconDebian 9.0
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 9.0 stretch-backports/contribdeb11.4.9+dfsg-2~bpo9+118.02.2019136 kiB183 kiB

Latest updates

Debian experimental icon

Debian experimental experimental/main: Version 11.8.2-1 removed

15.03.2019 16:45
Debian experimental icon

Debian experimental experimental/main: Updated from 11.8.0-1 to 11.8.2-1

14.03.2019 11:16
  • New upstream version 11.8.2 (Closes: #924447) (Fixes: CVE-2019-9170, CVE-2019-9171, CVE-2019-9172, CVE-2019-9174, CVE-2019-9175, CVE-2019-9176, CVE-2019-9178, CVE-2019-9179, CVE-2019-9217, CVE-2019-9219, CVE-2019-9220, CVE-2019-9221, CVE-2019-9222, CVE-2019-9223, CVE-2019-9224, CVE-2019-9225, CVE-2019-9485)
  • Refresh patches and remove 0120-remove-tracing-group.patch
  • Embed opentracing, jaeger-client and thrift
Debian experimental icon

Debian experimental experimental/main: Updated from 11.6.0+dfsg-1 to 11.8.0-1

12.03.2019 17:32
Dmitry Smirnov
  • Moved list of files from Files-Excluded to "clean" file to avoid error in `mk-origtargz`.
Sruthi Chandran
  • New upstream version 11.8.0
  • Refresh patches
  • Update script in debian/upstream-file-count-check.sh to identify new/removed files
Pirate Praveen
  • Refresh patches with fuzz
  • Update dependency on ruby-rack, ruby-pg, ruby-fog*, ruby-truncato, ruby-nokogiri, ruby-acts-as-taggable-on, ruby-kubeclient, ruby-gitaly-proto, ruby-omniauth-azure-oauth2, ruby-google-api-client, ruby-sidekiq-cron, ruby-oauth2, ruby-googleauth
  • Remove tracing group from Gemfile
  • Replace rails 5.2 patch with rails 5.1 patch from upstream
  • Remove monkey patch not needed with rails 5.2
  • Embed rails 5.1 temporarily till gitlab supports rails 5.2
  • Create target file of secrets.yml symbolic link
  • Set GEM_PATH for using embedded gems
  • Tighten dependency on libjs-uglify
Debian 9.0 icon

Debian 9.0 stretch-backports/contrib: Updated from 11.3.11+dfsg-1~bpo9+1 to 11.4.9+dfsg-2~bpo9+1

18.02.2019 04:10
  • Rebuild for stretch-backports.
Debian 9.0 icon

Debian 9.0 stretch-backports/contrib: Updated from 11.2.8+dfsg-2~bpo9+2 to 11.3.11+dfsg-1~bpo9+1

13.02.2019 16:23
Pirate Praveen
  • Rebuild for stretch-backports.
Abhijith PA
  • Refresh ruby-github-markup.patch
Debian 9.0 icon

Debian 9.0 stretch-backports/contrib: Updated from 11.2.8+dfsg-2~bpo9+1 to 11.2.8+dfsg-2~bpo9+2

02.02.2019 10:10
  • Relax ruby-github-markup and ruby-gitaly-proto dependencies
Debian 9.0 icon

Debian 9.0 stretch-backports/contrib: Updated from 11.1.8+dfsg-2~bpo9+1 to 11.2.8+dfsg-2~bpo9+1

01.02.2019 10:25
  • Rebuild for stretch-backports.
Debian 9.0 icon

Debian 9.0 stretch-backports/contrib: Updated from 10.8.7+dfsg-1~bpo9+1 to 11.1.8+dfsg-2~bpo9+1

30.01.2019 10:20
  • Rebuild for stretch-backports.
  • Relax rdoc dependency to >= 4.2
  • Tighten dependency on ruby-octokit
  • Set minimum version of ruby-sass to 3.5
Debian 10.0 icon

Debian 10.0 buster/main: Version 11.5.6+dfsg-1 removed

18.01.2019 23:03
Debian experimental icon

Debian experimental experimental/main: Version 11.6.0+dfsg-1 introduced

14.01.2019 03:34
  • New upstream version 11.6.0+dfsg
  • Refresh patches
  • Remove 0650-fix-8-to-10-migration.patch
  • Don't install .eslintrc.yml
  • Add patch to relax rails in Gemfile
  • Relax gitlab-sidekiq-fetcher
  • Add patch 0680-rails-5_2.patch to make it work with rails5.2
  • Remove config/initializers/active_record_verbose_query_logs.rb
  • Set path for yarn
Debian 10.0 icon

Debian 10.0 buster/main: Version 11.5.6+dfsg-1 introduced

12.01.2019 13:59
  • New upstream version 11.5.6+dfsg (Closes: #918086) (Fixes: CVE-2018-20488, CVE-2018-20489, CVE-2018-20490, CVE-2018-20491, CVE-2018-20492, CVE-2018-20493, CVE-2018-20494, CVE-2018-20495, CVE-2018-20496, CVE-2018-20497, CVE-2018-20498, CVE-2018-20499, CVE-2018-20500, CVE-2018-20501, CVE-2018-20507)
  • Bump Standards-Version to 4.3.0
Debian 9.0 icon

Debian 9.0 stretch-backports/contrib: Version 10.8.7+dfsg-1~bpo9+1 introduced

12.01.2019 13:52
  • Rebuild for stretch-backports.

Related packages

gitlab - git powered software platform to collaborate on code (non-omnibus)
⇧ Top